/*
 *  ExpandingCircle.cpp
 *  classesExample
 *
 *  Created by Zach Gage on 7/20/11.
 *  Copyright 2011 stfj. All rights reserved.
 *
 */

#include "ExpandingCircle.h"

void ExpandingCircle::setup(ofPoint location, int startingRadius)
{
	myLocation = location;
	myRadius = startingRadius;
	
	r = ofRandom(0, 255);
	g = ofRandom(0, 255);
	b = ofRandom(0, 255);
}

void ExpandingCircle::update()
{
	myRadius++;
}

void ExpandingCircle::draw()
{
	int alpha = 255-myRadius; // assign an alpha based on the size of the circle
	
	alpha = CLAMP(alpha,0,255); //make sure alpha is within the rage of 0 to 255
	
	ofSetColor(r, g, b, alpha );
	ofCircle(myLocation.x, myLocation.y, myRadius);
}